## fwts 13.09.01

=== debian/changelog ===
fwts (13.09.01-0ubuntu1) saucy; urgency=low
 
  [Alex Hung]
  * live-image/fwts-frontend-text: add uefi tests to fwts-live (LP: #1223793)

  [Keng-Yu Lin]
  * efi_runtime: fix the broken kernel vermagic when upgrading the kernel
      pacakge (LP: #1223801)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 17 Sep 2013 15:27:31 +0800

fwts (13.09.00-0ubuntu1) saucy; urgency=low

  [Colin Ian King]
  * lib/fwts_uefi.c: fix time-of-use race on open/stat (LP: #1209251)
  * lib: fwts_cpu.c: fix time-of-use race on stat/open (LP: #1209225)
  * lib: fwts_dump: remove the redundant path in fwts_dump_info (LP: #1216344)
  * data: klog.json: Add some more ACPI related kernel error messages
      (LP: #1219006)
  * fwts: framework: Add missing closed parenthesis for -U option (LP: #1219576)

  [Ivan Hu]
  * UEFI: move the UEFI tests into the UEFI category (LP:#1207200)
  * uefi: uefidump: Add support for HwErrRecSupport
  * uefi: uefidump: Add support for OsIndicationsSupported
  * uefi: uefidump: Add support for VendorKeys

  [Naresh Bhat]
  * ACPICA:enable 64bit build for aarch64 architecture

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 10 Sep 2013 17:33:17 +0800

fwts (13.08.00-0ubuntu1) saucy; urgency=low
 
  [Alex Hung]
  * dmi: dmi_decode: merge smbios test as they both check dmi/smbios
  * dmi: rename dmi_decode test to dmicheck

  [Colin Ian King]
  * uefi: uefirtvariable: minor cleanup of failure message
  * uefi: uefirtvariable: add options to specify iterations in variable stress
      tests (LP: #1197742)
  * efi_runtime: Fix efi_runtime build warnings (LP: #1198168)
  * efi_runtime: ensure it always builds for kernels > 3.0.0 (LP: #1198168)
  * efi_runtime: memset the entire structure (LP: #1198236)
  * lib: add acpica mode types
  * lib: framework: add new acpica mode flags
  * lib: acpica: set various ACPICA global mode flags depending on acpica_mode
  * lib: fwts_framework: add support for new --acpica option
  * acpi: method: handle ACPICA slack mode gracefully
  * doc: add --acpica option to man page
  * acpi: syntaxcheck: use ASL_MESSAGE_TYPES instead of #defining them
      (LP: #1200568)
  * acpi: syntaxcheck: ensure error message strings are in sync with error
      (LP: #1200568)
  * lib: fwts_log: set non-TTY log with to 80 characters (LP: #1200592)
  * acpi: syntaxcheck: fix spelling mistake (LP: #1200602)
  * fwts_iasl_interface.c: ensure we read in all of stdout (LP: #1200426)
  * data: klog.json: rename "Common" label prefix to "Klog", (LP: #1201311)
  * data: klog.json: Update patterns to keep in sync with Linux 3.10 
      (LP: #1201335)
  * bios: hdaaudio: skip the test if no BIOS pin config found (LP: #1201903)
  * pci: aspm: test should skip if it can't read FACP or PCIe config
      (LP: #1201909)
  * docs: remove legacy notes created during early fwts development
  * smatchify.sh: fix spelling mistake
  * bios: mtrr: fix spelling mistake
  * acpica: Makefile.am: fix spelling mistake
  * data: syntaxcheck.json: fix spelling mistakes
  * data: klog.json: fix spelling mistakes
  * docs: fwts.1: fix spelling mistake
  * doc: fwts-frontend-text.1: fix spelling mistake
  * ACPICA: update to version 20130725 (LP: #1205203)
  * acpi: syntaxcheck: strcpy should be replaced with strncpy (LP: #1205215)
  * acpi: method: check for NULL buf before dereferencing it (LP: #1205267)
  * lib: fwts_alloc: use plain old mmap on 32 bit machines (LP: #1204065)
  * ACPICA BZ 1035 fixes segfault with too many ^^^^^^ prefixes.
      (LP: #1205714)
  * lib: fwts_log_json: check sting from json is not null (LP: #1206285)
  * acpi: acpidump: fix segfault on BERT entries (LP: #1206643)
  * data: klog.json: Add some firmware related kernel warnings (LP: #1206958)
  * utils: kernelscan: also scan for warning messages (LP: #1206953)
  * lib: fwts_log_json: enable json human readable formatting (LP: #1206290)

  [Zhang Rui]
  * update README_ACPICA to reflect the real ACPICA repo

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 07 Aug 2013 10:27:51 +0800

fwts (13.07.00-0ubuntu1) saucy; urgency=low

  [Alex Hung]
  * data: klog.json: remove duplicated patterns

  [Colin Ian King]
  * data: klog.json: Add some more advice for the now common lpc_ich warnings
  * apci: acpidump: fix segfault when dumping ASF! tables (LP: #1188209)
  * acpica: fwts_acpica: some cosmetic tidying up.
  * acpica: fwts_acpica: no need to check for null ptr on fwts_low_free
  * lib: acpica + fwts_framework: add --acpica-debug option
  * cpu: cpufreq: re-phrase P-state coordination message
  * cpu: cpufreq: remove the time to run from the description
  * Makefile.am: move apicedge test to keep tests in alpabetical order
  * bios: smbios: minor re-structure of test1
  * klog: move from acpi to kernel directory
  * bios: mpdump: fix indexing outside of mpdump_sys_addr_type array
  * lib, acpi, hotkey: remove redundant null checks before free()
  * bios: smbios: add more sanity checks to SMBIOS information
  * lib: fix assembly/disassembly segfault when AcpiOsVprintf is calle
    (LP: #1195209)
  * ACPICA: update to version 20130626
  * acpica: nspredef: fix null pointer dereference issue (LP: #1195251)
  * lib: fwts_framework: remove fwts_framework_setting
  * lib: fwts_framework: minor tidy up of code
  * lib: fwts_framework: remove some old and redundant #defines
  * fwts_iasl_interface.c: allocate temp buffers required for IASL
    (LP: #1196463)

  [Ivan Hu]
  * uefivarinfo: add the utility to show the NVRam and variable info

  [Keng-Yu Lin]
  * update_version.sh: use non-localised date representation

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 03 Jul 2013 11:07:03 +0800

fwts (13.06.00-0ubuntu1) saucy; urgency=low

  [Alex Hung]
  * bios: mtrr: add uncached string for DEFAULT type
  * pci: maxreadreq: Audio device to chipset devices.
  * data: klog.json: remove a redudent line break

  [Colin Ian King]
  * debian: control: fix typo
  * lib: fwts_uefi: make vars work on recent kernels (LP: #1171617)

