=== debian/changelog ===
fwts (14.03.01-0ubuntu2) trusty; urgency=low

  [Alex Hung]
  * klog: ACPI does not specify _BQC as a mandatory method
  * s3: add a "s3-hybrid" option to enable hybrid sleep for s3 (LP: #1295146)
  * fwts-test: klog: updates for _BQC changes in
    76c3ffd814cc882564f680b16f2c2d314ae58b07
  * fwts-test: arg-help-0001: updates tests for new --s3-hybrid option
  * fwts-test: arg-help-0001: fix test-0002.sh incorrectly uses
    arg-help-0001.log
  * doc: add --s3-hybrid man page entry

  [Colin Ian King]
  * acpi: wmi: add some newer UUIDs that are supported by linux (LP: #1292515)
  * fwts_hwinfo: don't compare network addresses (LP: #1293297)
  * acpi: acpidump: fix dump offsets in various table dumps (LP: #1293613)
  * fwts-test: re-sync with fwts fix to acpidump
  * lib: fwts_alloc: fix low 32 bit memory allocator (LP: #1295849)
  * fwts-test: arg-help-0001: don't check the version field
  * fwts-test: wmi-0001: update test to sync with WMI changes in fwts
  * fwts-test: arg-log-format-0001: fix aarch64 failures
  * acpi: method: add more advice for failed _PTS, _TTS and _WAK (LP: #1296737)
  * lib: fwts_acpi_object_eval: report better advice on exec failure
    (LP: #1296710)
  * acpi: method: fix _ACx test (LP: #1297323)
  * fwts-test: keep method-0001 test in sync with changes in fwts method
  * acpica: update to version 20140325 (LP: #1297531)
  * fwts-test: update ACPICA related tests due to ACPICA updates

  [Keng-Yu Lin]
  * debian: skip fwts-test on arm64

  [Matt Fleming]
  * lib: fwts_log: Add missing log field flags

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 27 Mar 2014 10:09:59 +0800

fwts (14.03.00-0ubuntu1) trusty; urgency=low

  [Colin Ian King]
  * acpi: fwts_acpi_tables: fix up missing FACS (LP: #1284097)
  * acpi: acpidump: provide table provenance (LP: #1284205)
  * apci: acpiinfo: enable for non-x86 arches (LP: #1284557)
  * Add utility to dump _PLD (Physical Device Location) information
    (LP: #1281835)
  * acpi: add in a tool to dump GPE information (LP: #1283473)
  * lib: fwts_acpi_tables: handle zero 64 bit addrs in FADT (LP: #1285167)
  * bios: hda_audio: skip the test if audio devices don't exist (LP: #1285571)
  * Remove copy-acpica.sh script, it is no longer used
  * acpi: checksum: print RSDP checksum correctly (LP: #1287815)
  * lib: fwts_acpi_tables: update RSDP checksum on fixed-up RSDP (LP: #1287852)
  * acpi: acpitables: remove irrelevant test case (LP: #1287891)
  * uefi: uefidump: small re-working of uefi GUID lookup
  * fwts-test: update acpidump-0001
  * fwts-test: acpitables-0002: sync with recent table fixing
  * fwts-test: syntaxcheck-0001: update to sync with fwts
  * fwts-test: arg-show-tests-0001: keep in sync with fwts
  * fwts-test: arg-show-tests-full-0001: keep in sync with fwts
  * fwts-test: checksum-0001: update due to fwts formatting fixes
  * fwts-test: arg-table-path-0001: sync with fwts changes
  * fwts-test: acpitables-0003: update to sync with fwts
  * fwts-test: acpitables-0004: update test
  * fwts-test: acpitables-0005: update test
  * fwts-test: acpitables-0006: update test
  * fwts-test: acpitables-0007: update test
  * fwts-test: acpitables-0008: update test
  * fwts-test: skip some tests on non-x86 builds
  * fwts-test: fix tests not to compare against date (LP: #1289225)
  * fwts-test: arg-help-0001: fix up some tests issues
  * fwts-test: arg-log-format-0001: make test less pedandic on line numbers
  * fwts-test: arg-show-progress-dialog: remove version from test
  * acpica: ppc64el needs to be built as a 64 bit architecture
  * debian: limit architectures to i386 amd64 armel armhf arm64 ppc64 ppc64el

  [Keng-Yu Lin]
  * fwts-test: Copy all files from fwts-test git tree (LP: #1201250)
  * lib: Make --disassemble-aml accept the outputdir argument (LP: #1201250)
  * fwts-test: Update disassemble-0001 test (LP: #1201250)
  * fwts-test: Update the test scripts for new test environment (LP: #1201250)
  * lib: fwts_args: determine tty width from stdin
  * fwts-test: disassemble-0001: rename *.orig to *.original

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 17 Mar 2014 15:13:44 +0800

fwts (14.02.00-0ubuntu0) trusty; urgency=low

  [Colin Ian King]
  * acpi: method: fix ppc64el build failure (LP: #1272265)
  * acpi: acpidump: handle invalid MADT table data (LP: #1278422)
  * cpu: cpufreq: tidy code, show advice when cpu scaling unavailable
    (LP: #1267959)
  * lib: fwts_release: call lsb_release rather than parsing raw data
    (LP: #1266823)
  * ACPICA: update to version 20140214. (LP: #1281096)
  * lib: fwts_acpi_tables: fix parsing of empty data (LP: #1281197)

  [Ivan Hu]
  * data: klog.json: lower the level of the failure when the _S1 and _S2 not
    implemented (LP: #1279714)

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 19 Feb 2014 11:48:01 +0800

fwts (14.01.01-0ubuntu0) trusty; urgency=low

  [Alex Hung]
  * auto-packager: mkpackage.sh: add trusty
  * debian: add dependency lts-saucy to fwts-efi-runtime-dkms

  [Colin Ian King]
  * fwts: add subdir-objects as required now by automake 1.14 (LP: #1268685)
  * ACPICA: update to version 20140114 (LP: #1269423)
  * fwts_log.h: remove LOG_TAG, fix up following bitfields (LP: #1269076)
  * updated automake files for libjson-c (LP: #1268005)
  * lib: fwts_framework: fix --stdout-summary output (LP: #1252186)
  * Allow for RSDP that is not 16 byte aligned (LP: #1271522)
  * fwts_exec: fix status check (LP: #1271607)

 -- Alex Hung <alex.hung@ubuntu.com>  Fri, 24 Jan 2014 10:54:58 +0800

fwts (14.01.00-0ubuntu1) trusty; urgency=low

  [Alex Hung]
  * dmi: change max value of "Upgrade" field" from 0x2a to 0x2c (LP: #1263634)

  [Colin Ian King]
  * cpu: microcode: test should skip if no microcound found (LP: #1259900)
  * acpi: acpidump: add SPCR table (LP: #1260351)
  * acpi: acpidump: add DBGP table (LP: #1260353)
  * acpi: acpidump: add DBG2 table (LP: #1260356)
  * Enable ACPI table dumping for non-x86 systems (LP: #1260470)

