## fwts 14.09.00

=== debian/changelog ===
fwts (14.09.00-0ubuntu1) utopic; urgency=low

  [Alex Hung]
  * acpi: method: fix incorrect comment in _CPC test
  * acpi: method: fix incorrect type comparison of
    ACPI_TYPE_INTBUF (LP: #1362426)
  * acpi: method: fix _STR's output should be buffer, not string
    (LP: #1362503)
  * acpi: method: add check for _EVT
  * acpi: method: add check for _GHL
  * acpi: method: method: add check for _GLK
  * acpi: method: add check for _SST
  * acpi: method: add check for _PUR
  * acpi: method: add check for _TZD and _TZM
  * acpi: method: add check for _TRT
  * acpi: method: add check for _PSL
  * acpi: method: add check for _ART
  * acpi: method: add check for _GTF and _GTM
  * fwts-test: update tests for new acpi method tests
  * acpi: method: fix incorrect failure messages for _TRT
  * acpi: method: fix _CID errors when it returns a package (LP: #1370924)

  [Colin Ian King]
  * ACPICA: update to version 20140828 (LP: #1362786)
  * acpi: method: extra sanity checks for _PSx objects, (LP: #1363904)
  * acpi: method: add check for ACPI 5.1 _DSD (LP: #1363925)
  * fwts-test: update tests because of new _DSD method check
  * acpi: method: acpi: method: add check for ACPI 5.1 _CCA (LP: #1363936)
  * fwts-test: update tests because of new _CCA method check
  * lib + tests: make --pm-method logind dependant on glib version
    (LP: #1364998)
  * Check that we are at least using glib that supports logind
  * data: klog.json: add a few more error message patterns
  * acpi: acpidump: avoid using void * pointer arithmetic
  * acpi: dmar: avoid using void * pointer arithmetic
  * lib: fwts_alloc: avoid using void * pointer arithmetic
  * lib: fwts_mmap: avoid using void * pointer arithmetic
  * lib: fwts_multiproc: avoid using void * pointer arithmetic
  * lib: fwts_pipeio: remove gcc cleanup attribute, it confuses cppcheck
  * lib: fwts_alloc: add field width limit for sscanf
  * lib: fwts_battery: add field width limit for sscanf
  * lib: fwts_ioport: use sigsetjmp and siglongjmp
  * acpi: wmi: update WMI GUIDs to be in sync with 3.17 kernel
  * lib: fwts: add more sanity checks when fetching the RSDP (LP: #1372849)
  * fwts-test: wmi: update test to sync with new GUIDs added to wmi test
  * uefi: uefivarinfo: fix double free on data (LP: #1372874)

  [Ivan Hu]
  * uefirtvariable: fix the wrong operator used, coverity scan error
    (LP: #1362893)
  * uefivarinfo: allocate buffer rewrite to avoid realloc failure
    (LP: #1362540)

  [Keng-Yu Lin]
  * debian: unrestrict automake and aclocal to be v1.11
  * debian: increment Standards-Version to 3.9.5
  * debian: unrestrict the automake version in Build-Depends

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 24 Sep 2014 15:41:17 +0800

fwts (14.08.00-0ubuntu0) utopic; urgency=low
 
  [Alberto Milone]
  * Make the --pm-method argument part of fwts_framework
  * Store all the pm_method related functions in fwts_pm_method.c
  * s3.c: make use of the functions in fwts_power_method.h
  * s4.c: add support for logind and sysfs methods
  * fwts_pm_method.h: move _cleanup_free_ here and share it with s3 and s4
  * s3power.c: add support for logind and sysfs methods
  * doc/fwts.1: update man page since --pm-method parameter also applies to S4
  * s3.c: add backward compatibility with older glib releases
  * s3power.c, s4.c: add backward compatibility with older glib releases

  [Alex Hung]
  * ACPI: change GTDT field names in ACPI 5.1 (LP: #1350170)
  * fwts-test: update arg-help-0001/0002 for pm-method changes
  * fwts-test: fix up tests related to iasl and syntaxcheck changes

  [Colin Ian King]
  * ACPICA: update to version 20140724 (LP: #1348342)
  * fwts-test: update disassemble test to sync with latest ACPICA changes
  * fwts-test: update syntaxcheck test to sync with latest ACPICA changes
  * ACPI: Add new ACPI 5.1 MADT stuctures and checks (LP: #1348581)
  * ACPI: Add new ACPI 5.1 FADT fields and update acpidump (LP: #1348598)
  * fwts-test: update ACPI table related tests due to ACPI 5.1 fwts changes
  * ACPI: Fix up GTDT corrections as in ACPI 5.1 (LP: #1348618)
  * lib + tests: re-work iASL backand and API to handle externals 
    (LP: #1317390)
  * Update contributors in man page
  * lib: don't use #pragma GCC push and pop

  [Ivan Hu]
  * uefirtvariable: setvariable without deleting the original variable 
    (LP: #1354301)
  * uefi: add the variable attribute definition for append write (LP: #1356194)
  * lib: uefi: add the status error report for the IP addr conflict 
    (LP: #1356195)
  * uefirtvariable: skip test when specific attributes not supported 
    (LP: #1356199)
  * uefirtvariable: add test for setvariable with both authenticated attributes
    are set (LP: #1356207)
  * s3: fix multiple s3 tests stop working (LP: #1359037)

 -- Kun Yang <kun.yang@canonical.com>  Thu, 21 Aug 2014 20:48:36 +0800

fwts (14.07.00-0ubuntu0) utopic; urgency=low

  [Alberto Milone]
  * src/Makefile.am: depend on glib and gio
  * Add build dependency on libglib2.0-dev
  * Add support for different power methods to suspend
  * debian/copyright: add copyright for the derivative work from systemd
  * doc/fwts.1: update man page with information on the --pm-method parameter
  * src/Makefile.am: use pkg-config to include glib and gio
  * debian/control: add build dependency on pkg-config

  [Alex Hung]
  * cpu: microcode: remove failures when kernel does not have newer version
    (LP: #1322534)
  * lib: fwts_dump: add cpuinfo dump
  * doc: fwts_dump: add cpuinfo.log to man page
  * acpi: method: add _PCL control method test (LP:1343070)

  [Colin Ian King]
  * src/lib/*.h: remove extraneous , at end of enum lists
  * acpi: acpidump: minor tidy up of code
  * acpi: acpitables: minor code tidy up
  * acpi: acpidump: re-arrange code to avoid declarations after code
  * acpi: method: re-arrange code to avoid declarations after code
  * acpi: method: re-arrange code to avoid declarations after code
  * Remove extraneous ; following FWTS_REGISTER macro

