## fwts 15.03.01

=== debian/changelog ===
fwts (15.03.01-0ubuntu2) vivid; urgency=medium

  * lib: fwts_acpi_tables: fix segfault when tables fail to load (LP: #1452201)

 -- Colin King <colin.king@canonical.com>  Fri, 18 Dec 2015 10:40:40 +0000

fwts (15.03.01-0ubuntu1) vivid; urgency=low
 
  [Colin Ian King]
  * efi_runtime: ensure we don't allocate a zero byte buffer
      (LP: #1429890)]
  * uefi: uefirttime: Add tests to exercise invalid parameters
  * acpi: acpitables: make length and skip signed to handle -ve underflow
      (LP: #1435272)
  * uefi: uefidump: don't dump non-printable variable contents (LP: #1435346)
  * uefi: uefirtmisc: Add null count argument check for
      GetNextHighMonotonicCount
  * acpi: acpitables: add GTDT checking
  * lib: fwts_acpi_tables: load tables from /sys (LP: #1437043)
  * fwts-test: fix up acpitables tests
  * fwts-tests: fix up arg-show-tests-full test

  [Ivan Hu]
  * uefirtauthvar: return error when get mismatch size
  * uefirtauthvar: dependency checking for existence of test data
      (LP: #1434408)
  * uefirtauthvar: remove duplicate authenticated attribute test
      (LP: #1432752)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 01 Apr 2015 11:42:51 +0800

fwts (15.03.00-0ubuntu1) vivid; urgency=low

  [Colin Ian King]
  * lib: fwts_framework: add --show-tests-categories option (LP: #1415953)
  * fwts-test: arg-help-* - add new --show-tests-categories option
  * ACPICA: Update to use ACPICA version 20150204 (LP:#1418453)
  * fwts-test: disassemble-0001: ignore any copyright year changes
  * fwts: update copyright year to 2015
  * efi: uefirtvariable: fix build error on Ubuntu Precise
  * lib: fwts_acpi_tables: fix logcal/bit-wise & thinko
  * lib: fwts_framework: use strtok instead of strtok_r

  [Ivan Hu]
  * dmicheck: fix the range of Interface Type on Type38 (LP: #1416092)
  * dmicheck: support smbios check for version 2.8.0 (LP: #1418869)
  * uefirtauthvar: missing return error when mismatch size of set/get test data

  [Ricardo Neri]
  * efi_runtime: do not dereference userspace pointers from strings
  * efi_runtime: do not access userspace addresses directly
  * efi_runtime: limit the amount of data copied to userspace
  * efi_runtime: get_nextvariable: copy only the needed name bytes
  * uefirtvariable: allow large sizes for variable names
  * efi_runtime: handle memory errors when setting variables
 
 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 06 Mar 2015 11:01:50 +0800

fwts (15.01.00-0ubuntu0) vivid; urgency=low

  [Alex Hung]
  * live-image/fwts-frontend-text: skip moving and avoid overwritting
    results.html (LP: #1322520)
  * acpi: method: add check for _PSD
  * acpi: method: add check for _PRW

  [Colin Ian King]
  * acpi: acpidump: reduce scope of variables
  * acpi: battery: reduce scope of variables
  * acpi: brightness: reduce scope of variables
  * acpi: brightness: reduce scope of variables
  * acpi: crsdump: reduce scope of variables
  * acpi: lid: reduce scope of variables
  * utilities: kernelscan: reduce scope of variables
  * uefi: uefirtvariable: reduce scope of variables
  * acpi: dmar: reduce scope of variables
  * acpi: pcc: reduce scope of variables
  * acpi: method: reduce scope of variables
  * acpi: s3: reduce scope of variables
  * acpi: s3power: reduce scope of variables
  * acpi: s4: reduce scope of variables
  * bios: hdaaudio: reduce scope of variables
  * bios: mtrr: reduce scope of variables
  * bios: multiproc: reduce scope of variables
  * cpu: cpufreq: reduce scope of variables
  * cpu: maxfreq: reduce scope of variables
  * cpu: microcode: reduce scope of variables
  * cpu: msr: reduce scope of variables
  * cpu: nx: reduce scope of variables
  * hotkey: reduce scope of variables
  * hpet: hpet_check: reduce scope of variables
  * lib: fwts_acpi_tables: reduce scope of variables
  * lib: fwts_backtrace: reduce scope of variables
  * lib: fwts_battery: reduce scope of variables
  * lib: fwts_dump: replace asctime with strftime
  * lib: fwts_efi_module: reduce scope of variable
  * cmos: cmosdump: clarify precedence for & and ?
  * lib: fwts_framework: fix some minor style warnings from cppcheck
  * lib: fwts_gpe: reduce scope of variables
  * lib: fwts_memorymap: fix typo on memory comparison sort
  * lib: fwts_memorymap: reduce scope of variables
  * lib: fwts_log: reduce scope of variables
  * lib: fwts_pm_method: reduce scope of variables
  * reduce scope of variables
  * lib: fwts_uefi: reduce scope of variables
  * pci: aspm: reduce scope of variables
  * lib: klog: reduce scope of variables
  * uefi: uefibootpath: reduce scope of variables
  * uefi: securebootcert: reduce scope of variables
  * uefi: uefidump: reduce scope of variables
  * uefi: uefirtauthvar: reduce scope of variables
  * uefi: uefirtmisc: reduce scope of variables
  * uefi: uefivarinfo: reduce scope of variables

  [Ivan Hu]
  * uefibootpath: include the null-terminated space in device path length
  * fwts-test: update fwts tests to sync with method tests

  [Naresh Bhat]
  * makefile.am : Use sysroot path for json

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 21 Jan 2015 10:39:00 +0800

fwts (14.12.00-0ubuntu1) vivid; urgency=low

  [Alex Hung]
  * auto-packager: mkpackage.sh: add vivid and remove quantal
  * data: klog: set "Gpe0Block - 32-bit FADT register is too long" to medium

  [Colin Ian King]
  * data: klog.json: Update with latest errors in ACPI
  * fwts-test: remove .swp file
  * acpi: s4: fix infinite loop because wrong variable being incremented
  * fwts: catch segfaults and bus errors and dump stack
  * Fix g_timeout_add to wait an integer number of seconds
  * cmos: just print drives + 1 with %d, fixes clang warning
  * uefibootpath: uefibootpath_check_dev_path: return int rather than int *
  * lib: fwts_klog: fix vector size and handle errors from pcre_exec
    (LP: #1401184)

  [Fu Wei]
  * ACPI: improve the return values and the log info in the
    fwts_acpi_handle_fadt_tables function.
  * ACPI: add the hardware reduced mode check function in

