## fwts 15.09.00

=== debian/changelog ===
fwts (15.09.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: method: add _CR3 test
  * acpi: method: add _MTL test
  * acpi: method: add _RST test
  * acpi: method: add _PRR test
  * fwts-test: update for _CR3, _MTL, _RST and _PRR method tests
  * acpi: fadt: merge tests for reset register

  [Colin Ian King]
  * cpu: cpufreq: reduce scope of variables
  * acpi: gpedump: clarify precedence for & and ?
  * lib: fwts_cpu: reduce scope on variables
  * lib: fwts_log: re-work to clean up va_arg scoping
  * uefi: uefirtvariable: clean up cppcheck style warning
  * doc: fwts manpage: Update contribution authors
  * ACPICA: Update to version 20150717 (LP: #1486253)
  * acpi: rsdp: make OEM ID test less strict
  * doc: update authors and add some warranty info at end of manual
  * data: klog.json: sync with latest 4.2 kernel messages (LP: #1493039)
  * fix some spelling mistakes in code and sync fwts-tests accordingly
  * cpu: maxfreq: check for unlikely event that no CPUs in cpu list
  * acpi: crsdump: fix incorrect use of string size in string copies
  * lib: fwts_acpi_tables: add checking for empty table parsing
  * lib: fwts_acpi_table: remove dead initialisation of ptr
  * dmi: dmicheck: fix build error on 32 bit builds

  [David Ward]
  * Makefile.am: use pkg-config for json-c

  [Ivan Hu]
  * fwts-test: fix typos for uefi acpi table regression test
  * lib: fwts_smbios: fix the smbios version from uefi always zero
    (LP: #1484023)
  * lib: fwts_scan_efi_systable: fix getting wrong smbios entry (LP: #1484046)
  * acpi: dbg2: won't find obj when no namespace device path (lp: #1486893)
  * lib: fwts_smbios: add the struct definition for smbios 3.0.0
  * dmicheck: re-orgainise the smbios entry point check
  * lib: smbios: add smbios version 3.0.0 entry find helper
  * dmicheck: add test for smbios 3.0.0 entry point
  * dmicheck: add error test for SMBIOS 3.0.0 table
  * dmicheck: sync the dmi value test with smbios 3.0.0 spec
  * fwts-test: update test to sync with smbios 3.0.0
  * dmicheck: fix the Base Board type range typos
  * auto-packager: mkpackage.sh: remove utopic

 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 11 Sep 2015 10:40:40 +0800

fwts (15.08.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: add table names in test description
  * fwts-test: update for prefix for ECDT, TCPA, WAET and XENV
  * acpi: remove redundant tailing spaces - no functional changes
  * acpi: tcpa: fix incorrect comments - no functional changes
  * acpi: tpm2: Add ACPI TPM2 test
  * fwts-test: Add regression test for TPM2, update fwst-tests
  * acpi: method: fix incorrect shift of 64-bit integer in CRS
  * acpi: method: add support for _CPC revision 2
  * acpi: acpidump: change FADT flag BIT20 to Hardware-reduce ACPI
  * fwts-test: update for changing to Hardware-reduce ACPI
  * acpi: update MADT GIC Distributor Structure and related tests
  * acpi: update MADT GICC Structure and related tests
  * acpi: fadt: update fadt_dsdt test with x_dsdt field
  * acpi: fadt: check RESET_REG_SUP before checking the reset register
  * acpi: method: refine _AEI control method
  * acpi: method: refine _EVT test

  [Anthony Wong]
  * fwts: Better options handling for --dump
  * lib: Allow reading ACPI dump file by non-root user

  [Colin Ian King]
  * acpi: XENV: fix a few spelling mistakes and fix up copyright
  * fwts-test: Update tests to sync with last XENV fixes
  * acpi: LPIT: remove duplicate "LPIT" from test description
  * fwts-test: Update tests to sync with last LPIT fixes
  * acpi: HPET: fix typo in HPET description field
  * fwts-test: Update tests to sync with HPET fix
  * Add ACPI IORT test (LP: #1450440)
  * Update fwts-test for the new IORT table test
  * ACPICA: Update to version 20150717 (LP: #1475733)
  * fwts-test: update syntaxcheck test now IASL finds more errors
  * acpi: iort: fix build warning on older versions of GCC
  * lib: fwts_framework: remove dubious total of --show-tests-full
  * acpidump: update mchi to latest revision of MCHI specification
  * acpi: Add support for MCHI Table (LP: #1478951)
  * fwts-test: Add MCHI table regression tests
  * acpi: Add support for STAO Table (LP: #1478957)
  * fwts-test: Add STAO table regression tests
  * lib: fix build error on non-Intel platforms
  * acpi: correct ASF! table definitions
  * acpi: Add support for ASF! Table (LP: #1479736)
  * fwts-test: Add ASF! table regression tests
  * lib: acpi.h: clean up comments and code - add more references
  * acpi: Add support for WDAT Table (LP: #1480257)
  *     fwts-test: Add WDAT table regression tests

  [Ivan Hu]
  * fwts-test: uefi: remove redundant files
  * acpi: add support for FPDT table (LP: #1476954)
  * fwts-test: Add FPDT table regression tests

  [Ricardo Neri]
  * cpu/cpufreq: Iterate over the correct number of CPUs in _test_sw_any

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 05 Aug 2015 14:18:41 +0800

fwts (15.07.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: dmar: add FWTS_FLAG_ROOT_PRIV to dmar test
  * fwts_acpi: acpidump: update TCPA table and acpidump accordingly
  * fwts-test: update according to TCPA structure changes
  * fwts-test: Remove TMPLOG in make check
  * tcpa: Add ACPI TCPA test
  * fwts-test: Add regression test for TCPA, update fwst-tests
  * acpi: add XENV table test
  * fwts-test: Add XENV table regression test
  * lib: fwts_framework: Append "tests" to --uefi and --acpi
  * fwts-tests: modify according to changes to --uefitests and --acpitests
  * live-image/fwts-frontend-text: update to --uefitests and --acpitests

  [Colin Ian King]
  * acpi: method: remove extraneous "_" in error message
  * lib: acpica: compiler: link in missing objects (LP: #1461936)
  * lib: fwts_klog: fix vector size and handle errors from pcre_exec
    (LP: #1461520)
  * acpi: lib: fwts_acpi_tables: force fixup when loading tables from
    /sys/firmware
  * lib: acpi, acpidump: rename slit tables types
  * lib: acpi: add in new GICC table fwts_acpi_table_gicc_affinity

