## fwts 16.03.00

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+KVER ?= `uname -r`
 obj-m += efi_runtime.o
 all:
 	make -C /lib/modules/$(KVER)/build M=`pwd` modules
