=== debian/changelog ===
fwts (16.03.00-0ubuntu1.3) xenial; urgency=low

  [Colin Ian King]
  * efi_runtime: fix access_ok build issues on 5.0 kernels (LP: #1813059)
    - add Linux 5.0 compat fix to access_ok to fix dkms build issue

 -- Colin Ian King <colin.king@canonical.com>  Thu, 24 Jan 2019 09:25:11 +0000

fwts (16.03.00-0ubuntu1.2) xenial; urgency=low

  * enable PM debug messages for S3 + S4 (LP: #1772563)
   - kernels may have pm debug disabled, so force this on during S3/S4
     tests. Patches from upstream fwts

 -- Colin King <colin.king@canonical.com>  Fri, 10 Aug 2018 10:06:12 +0100

fwts (16.03.00-0ubuntu1.1) xenial; urgency=low

  * fix segment fault when running fwts method test (LP: #1635502)
    - remove double pthread_mutex_unlock on method usage thread counter

 -- Colin King <colin.king@canonical.com>  Mon, 24 Oct 2016 17:21:11 +0100

fwts (16.03.00-0ubuntu1) xenial; urgency=low

  [Alex Hung]
  * acpi: csrt: fix a spelling mistake in a comment
  * acpi: csrt: fix resource descriptor can go over boundary

  [Colin Ian King]
  * debian/control: Add s390x to Architecture list (LP: #1549737)
  * lib: fwts_cpu: fix memory leak and incorrect return (LP: #1549723)
  * Add s390x build support, don't build ACPI specific code for this arch
  * Add s390x build support: skip tests that are not build in for this arch
  * Add s390x build support, don't build UEFI specific code for this arch
  * Debian/control: don't build UEFI kernel module for s390x
  * acpi: fan: fix indentation, remove extraneous tab
  * acpi: method: fix a few incorrectly idented lines of code
  * bios: mpcheck: fix trivial indentation issue
  * bios: mpdump: fix trivial indentation issue
  * uefi: uefirtvariable: fix trivial indentation issues
  * uefi: uefirtauthvar: fix trivial indentation issues
  * smatchify: add two passes option

  [Ivan Hu]
  * uefi: add sanity check for UEFI ESRT table (LP: #1553043)
  * uefi: esrt: don't build UEFI specific code for s390x
  * fwts-test: Update tests to sync with esrt test adding
  * uefi: esrt: fix the resource leak found by Coverity Scan
  * uefi: esrt: fix build failure due to lack of header file
  * acpi: method: fix faile check on _EC control method (LP: #1556720)
  * acpi: method: fix _ON method never be tested.
  * acpi: method: remove some reduntant and unused tests.
  * fwts-test: sync up with the fwts method tests changed

 -- Alex Hung <alex.hung@ubuntu.com>  Mon, 14 Mar 2016 17:09:08 +0800

fwts (16.02.00-0ubuntu1) xenial; urgency=low

  [Al Stone]
  * Start defining FWTS architectures as variables
  * Define some utility functions for using the fwts_architecture enum
  * Add mechanism to tell FWTS what architecture is being tested
  * ACPI: MADT: add in compliance tests for the MADT and subtables
  * ACPI: Add in MADT subtable description for GIC ITS subtable
  * ACPI: MADT: add in compliance checks for the GIC ITS subtable
  * Documentation: add --acpicompliance to man page
  * Documentation: add --arch to the man page
  * RSDP: minor cleanups to rsdp.c for checkpatch issues
  * utilities: add a helper function for printing out architecture names
  * ACPI tables: when bodging up an RSDP, do the right thing for the arch
  * ACPI RSDP: flesh out the tests to check for full spec compliance.
  * Update regression test rsdp-0001/test-0001.sh
  * Update the regression test arg-help-0001/test-0001.sh
  * Update regression test for arg-help-0001/test-0002.sh
  * Update regression test for arg-show-tests-0001/test-0001.sh
  * Update regression test arg-show-tests-full-0001/test-0001.sh
  * Update the regression test arg-table-path-0001/test-0001.sh
  * Update the regression test madt-0001/test-0001.sh
  * Update the regression test madt-0001/test-0002.sh
  * FADT: enable compiling on non-x86 architectures
  * FADT: non-x86 machines need an FADT but x86 can survive without one
  * FADT: disable SCI_EN and RESET_REG tests when in reduced hardware mode
  * FADT: add in code to log basic info about the various FADT flag fields
  * Add in bit masks for FACS flags.
  * FADT: move log info out of test2, will provide it elsewhere
  * ACPI: Add hypervisor ID field to FADT.
  * FADT: minor cleanup and initial compliance tests
  * FADT: expand the compliance test for FIRMWARE_CTRL fields
  * FADT: expand compliance checks for DSDT and X_DSDT fields
  * FADT: add compliance tests for reserved fields, PM profile, reduced hardware
  * FADT: restructure test sequence around reduced hardware mode
  * FADT: expand compliance tests for the SMI_CMD field
  * FADT: add compliance tests for the ACPI_ENABLE and ACPI_DISABLE fields
  * FADT: add compliance tests for S4BIOS_REQ and PSTATE_CNT fields
  * FADT: extend and add PM address block compliance tests
  * FADT: enhance compliance tests for GPE blocks
  * FADT: add compliance test for the CST_CNT field
  * FADT: add in compliance tests for C2/C3 latency fields
  * FADT: add in SLEEP_CONTROL_REG and SLEEP_STATUS_REG compliance tests
  * FADT: remove no longer useful variables from test1
  * FADT: add safety checks for older versions of FADT
  * FADT: update regression tests to incorporate new/changed tests

  [Alex Hung]
  * acpi: method: add _PMC test
  * acpi: method: add _PRT test
  * fwts-test: update for _PMC and _PRT tests
  * acpi: method: add _RDI test
  * acpi: method: add _LPI test
  * fwts-test: update for _RDI and _LPI tests
  * acpi: method: remove non-method names from the top comments
  * acpi: erst: fix incorrect error message for reserved field
  * fwts-test: update erst test for the fix of reserved field

  [Colin Ian King]
  * lib: fwts_klog: fix incorrect indentation, detected by gcc-6
  * lib: fwts_hwinfo: clean up type punning, fixes warning with gcc-6
  * fwts: wakealarm: reset wakealarm timer at end of test (LP: #1534003)
  * Update arg-show-tests-full now that we have an extra test in wakealarm
  * dmi: dmicheck: add some simple sanity checks to table size
  * lib: fwts_args: use safer strncat than strcat

